Tzim's Lite Codec Pack v2

Après deux années sans mises à jour, le TLCP actuel se fait vieux.

J’ai la joie de vous annoncer que le TLCPv2 rentre dans sa phase de conception.
Pour cette nouvelle version voici ce que je peux dire :

  • MPC n’a pas évolué depuis, j’ai donc choisi de passer sur le projet annexe : MPC-HC
  • Il en va de même pour ffdshow. J’ai donc choisi de partir sur ffdshow-tryout.
  • L’assistant devra être mis à jour en conséquence est c’est là que j’ai besoin de vous:
    L’assistant actuel est codé en C++ (donc code natif), et ne nécessite rien de particulier sur la machine. Cependant, ca signifie pour moi un code long et laborieux a dévellopper, et surtout a faire évoluer (parce que il faut que je me replonge dans le code à chaque fois), et donc que la v2 ne risque de pas voir le jour d’ici un bon bout de temps.
    Bref, tout ca pour dire que j’envisage serieusement de coder le dit assistant en .net. Pour vous (sous XP), ca veux dire qu’il faudra installer le framework au préalable (ou que l’install vous le suggèrera fortement) afin de profiter de l’assistant de configuration qui fait la différence entre le TLCP et les autres packs moins user-friendly.

Deux questions pour vous :

  • installer .net sous XP, ca vous dérange ?
  • des suggestions de features ? (notez que non, je n’integrerais rien qui ne sois distribué sous licence libre, je peux par contre prendre en compte la présence d’éléments aquis ou installés autrement - i.e. CoreAVC).

osef du framework .net, on l’a déjà tous certainement à cause d’autre chose, non?
Utilise-le pour te simplifier la vie, précise juste lequel il faut.

Moi personnellement, ça me gène, utiliser .Net juste pour installer un pack de codec je trouve ça lourd.
Cependant, je suis développeur et je comprend très bien que ça te simplifiera ton dev, mais je ne dois pas être le seul utilisateur dans mon cas.

Le .Net je l’ai déjà. Donc pas de problème mais c’est un plus si on peux s’en passer.

Oui, certains jeux l’installent, et même les pilotes de ma CM, c’est pour dire…

Oui, fait le en .net, avec un stub qui te recommande d’installer le framework si il est pa present (et ce a partir de la meme interface of course).

J’ai deja le .Net car effectivment, il existe de nombreuses appli qui en ont besoin maintenant.
Donc ça ne me gène pas :slight_smile:

Ca m’embête un peu de dire ça car je me doute que ça fait chier en tant que dev, mais installer un truc juste pour un installeur/wizard, c’est contraignant.
Au pire, c’est lourd à installer ce .net ?(je sais même pas si je l’ai, comment on voit ça ? Ni à quoi ça sert ?)

Ce que j’aime dans le TLCP c’est sa légèreté et sa simplicité, on embarque le fichier et hop on peut l’installer partout, chez la famille et les amis qui veulent un truc qui fonctionne en toute circonstance sans se taper le tête. Si faut un accès à internet et se taper 10 minutes d’install supplémentaire à chaque fois, c’est super contraignant et plus trop dans l’esprit de ce pack (enfin c’est ce que je ressens).

edit: pour les feature, un switch plus facile dans l’interface entre les langues et sous titres dispo ça serait pas mal.

edit2 : si c’est inclus dans un système à jour, c’est pas trop contraignant.

Comme dit Cold, aujourd’hui (voire meme au jour d’aujourd’hui pour faire dans le pleonasme :slight_smile: ), on l’a souvent installer le framework .Net. Je ne comprends toujours pas pourquoi, aujourd’hui certains disent non a .Net. (mais c’est pas le sujet ici).

Sinon pour Tzim, pour les features… euh… un « plugin » de recherche automatique de sous-titre :crying:

Euh le framework 2.0 (ou peut-être seulement le 1.1) est, si je ne me trompe pas, installé avec le SP3 de XP et de base dans Vista. Donc tous les geek à jour avec leur update (lire : ceux qui ont une licence :)) devraient déjà l’avoir installé.

Aucun souci pour .net. Tu peux proposer un setup qui embarque le framework (plus gros d’une vingtaine de mégas), un autre qui télécharge sur le net uniquement si nécessaire (plus gros seulement de quelques ko)… Pour moi ils auraient déjà du l’intégrer depuis longtemps dans les SP… Bref !

.Net FTW!

J’attendais ce post constructif de ta part :slight_smile:

Bah il a raison, .Net et xNa, c’est presque pareil :slight_smile: Presque hein.

question à 2 balles : comment on sait si le framework .NET est installé sur le PC ?

sinon tzim, ca ne m’embete pas d’installer un soft tiers pour faire fonctionner une appli… tant que c’est clairement expliqué dans la procedure d’install et qu’il y a un lien direct vers le soft en question… :feignasse:

Comme plusieurs personnes l’ont dit plus haut, le framework .NET est deja installé sur 99.999999% des machines. Donc go .NET, surtout si ca peut te simplifier le dev et les mises à jour.

Regarde dans “ajout/supression de programmes”, il s’affiche.

Tu vas dans ajout/suppr de programmes il me semble… il faut ptet cilquer sur la petite case à cocher qui affiche les mises à jour effectuées via Windows update par contre…

Sinon pour le framework je crois qu’on l’a tous si on fait tous nos mises à jour correctement. Et comme dit un peu plus haut je crois bien qu’avec le SP2 il y avait la v1.1 alors à l’heure du SP3…

edit : grillé de pas très longtemps…

Moi je dis juste : Merci Tzim de t’y recoller.
et oui : conserve le fait qu’on puisse aller avec ton exe n’importe où et l’installer sans rien avoir à faire d’autre même chez des gens qui n’ont pas le net.
C’est ça la force de ton pack.

_“salut”
_“salut toi”
_“tu sais les trucs que tu m’a filé, j’arrive pas à les lire sur le pc de ma grand-mère”
_“Installe un pack de codec !”
_" … Quoi ?!"
_“double clic sur Tzimcodecpack.exe !”
_“ça y est”
_“c’est bon tu peux tout lire (et avec les sous-tires automatiques s’il y en a)”
_“ah oui. merci. à plus”
_"++"

Pareil que plein de monde : il nous faut un truc simple, transparent et clair. Je veux bien installer le framework si c’est tout simple via l’install du pack. En revanche, si j’ai un message d’erreur qui me dit qu’il me faut .net pour avoir le pack, ça risque de moins le faire (je ferais ce qu’il faut mais pas mes amis…).

+1 : installation du Framework avec le pack.
Mais il faut faire gaffe car je ne suis pas arrivé à installer le Framework sur un ordi qui n’avait pas le SP2 (oui c’est possible quand on a pas le net…)